function laser1fx()
	local pcl = particlecloud.load("laser1fx",256,0)
	pcl:rsBlendmode(blendmode.add())
	-- as we have small stuff, try pointsprites
	pcl:typequad()
	pcl:sequencecount(1)
	-- no extra color
	pcl:particlecolor(false)
	pcl:color(1,1,1,1)
	--local mat = material.load("lasershot.tga.mtl")
	local mat = texture.load2d("lasershot.tga")
	pcl:matsurface(mat)
	
	return pcl
end

function laser1fxgrp(pcl,layer)
	local pgrp = l3dpgroup.new("laser1fx",pcl,layer or l3dset.layer1(l3dset.getnormal()))
	pgrp:prtSize(0,70)
	pgrp:typeworldref()
	pgrp:linkinterface(scenenode.getroot())

	return pgrp;
end